summaryrefslogtreecommitdiff
path: root/openembedded
diff options
context:
space:
mode:
Diffstat (limited to 'openembedded')
-rw-r--r--openembedded/busybox.yaml19
-rw-r--r--openembedded/device-tree.yaml25
-rw-r--r--openembedded/ethernet.yaml19
-rw-r--r--openembedded/kernel-version.yaml19
-rw-r--r--openembedded/mysql.yaml19
-rw-r--r--openembedded/perf.yaml16
-rw-r--r--openembedded/pwrmgmt.yaml18
-rwxr-xr-xopenembedded/scripts/busybox.sh32
-rwxr-xr-xopenembedded/scripts/ethernet.sh34
-rwxr-xr-xopenembedded/scripts/kernel-version.sh33
-rwxr-xr-xopenembedded/scripts/mysql.sh33
-rwxr-xr-xopenembedded/scripts/toolchain.sh33
-rw-r--r--openembedded/toolchain.yaml19
13 files changed, 319 insertions, 0 deletions
diff --git a/openembedded/busybox.yaml b/openembedded/busybox.yaml
new file mode 100644
index 0000000..a0a8f3f
--- /dev/null
+++ b/openembedded/busybox.yaml
@@ -0,0 +1,19 @@
+metadata:
+ name: busybox
+ version: 1.0
+ format: "Lava-Test-Shell Test Definition 1.0"
+
+install:
+ git-repos:
+ - git://git.linaro.org/qa/test-definitions.git
+
+run:
+ steps:
+ - "cd test-definitions/oe/scripts"
+ - "./busybox.sh"
+
+parse:
+ pattern: "^(?P<test_case_id>[a-zA-Z0-9_-]+):\\s(?P<result>\\w+)"
+ fixupdict:
+ PASS: pass
+ FAIL: fail
diff --git a/openembedded/device-tree.yaml b/openembedded/device-tree.yaml
new file mode 100644
index 0000000..a7d7f24
--- /dev/null
+++ b/openembedded/device-tree.yaml
@@ -0,0 +1,25 @@
+metadata:
+ name: device-tree
+ format: "Lava-Test-Shell Test Definition 1.0"
+ description: "Device tree test to check the folder structure."
+ os:
+ - ubuntu
+ devices:
+ - origen
+ - snowball
+ - panda
+ - panda-es
+ - vexpress
+ environment:
+ - lava-test-shell
+
+install:
+ bzr-repos:
+ - lp:~linaro-foundations/linaro-ubuntu/lava-test-device-tree
+
+run:
+ steps:
+ - "cd lava-test-device-tree; sudo bash -x ./run-test.sh"
+
+parse:
+ pattern: "(?P<test_case_id>[a-zA-Z0-9_-]+):\\s(?P<result>\\w+)"
diff --git a/openembedded/ethernet.yaml b/openembedded/ethernet.yaml
new file mode 100644
index 0000000..8f0f8ab
--- /dev/null
+++ b/openembedded/ethernet.yaml
@@ -0,0 +1,19 @@
+metadata:
+ name: ethernet
+ version: 1.0
+ format: "Lava-Test-Shell Test Definition 1.0"
+
+install:
+ git-repos:
+ - git://git.linaro.org/qa/test-definitions.git
+
+run:
+ steps:
+ - "cd test-definitions/oe/scripts"
+ - "./ethernet.sh"
+
+parse:
+ pattern: "^(?P<test_case_id>[a-zA-Z0-9_-]+):\\s(?P<result>\\w+)"
+ fixupdict:
+ PASS: pass
+ FAIL: fail
diff --git a/openembedded/kernel-version.yaml b/openembedded/kernel-version.yaml
new file mode 100644
index 0000000..09756ab
--- /dev/null
+++ b/openembedded/kernel-version.yaml
@@ -0,0 +1,19 @@
+metadata:
+ name: kernel-version
+ version: 1.0
+ format: "Lava-Test-Shell Test Definition 1.0"
+
+install:
+ git-repos:
+ - git://git.linaro.org/qa/test-definitions.git
+
+run:
+ steps:
+ - "cd test-definitions/oe/scripts"
+ - "./kernel-version.sh"
+
+parse:
+ pattern: "^(?P<test_case_id>[a-zA-Z0-9_-]+):\\s(?P<result>\\w+)"
+ fixupdict:
+ PASS: pass
+ FAIL: fail
diff --git a/openembedded/mysql.yaml b/openembedded/mysql.yaml
new file mode 100644
index 0000000..42b82c0
--- /dev/null
+++ b/openembedded/mysql.yaml
@@ -0,0 +1,19 @@
+metadata:
+ name: mysql
+ version: 1.0
+ format: "Lava-Test-Shell Test Definition 1.0"
+
+install:
+ git-repos:
+ - git://git.linaro.org/qa/test-definitions.git
+
+run:
+ steps:
+ - "cd test-definitions/oe/scripts"
+ - "./mysql.sh"
+
+parse:
+ pattern: "^(?P<test_case_id>[a-zA-Z0-9_-]+):\\s(?P<result>\\w+)"
+ fixupdict:
+ PASS: pass
+ FAIL: fail
diff --git a/openembedded/perf.yaml b/openembedded/perf.yaml
new file mode 100644
index 0000000..fb10012
--- /dev/null
+++ b/openembedded/perf.yaml
@@ -0,0 +1,16 @@
+metadata:
+ name: perf
+ format: "Lava-Test-Shell Test Definition 1.0"
+ description: "Performance tests in ubuntu."
+
+install:
+ bzr-repos:
+ - lp:~linaro-maintainers/lava-test/lava-test-perf
+
+run:
+ steps:
+ - cd lava-test-perf
+ - sudo bash -x ./run-perf-test.sh
+
+parse:
+ pattern: "^(?P<test_case_id>perf[\\w\\s-]+)\\s+:\\s+(?P<result>\\w+)"
diff --git a/openembedded/pwrmgmt.yaml b/openembedded/pwrmgmt.yaml
new file mode 100644
index 0000000..d40d964
--- /dev/null
+++ b/openembedded/pwrmgmt.yaml
@@ -0,0 +1,18 @@
+metadata:
+ name: pwrmgmt
+ format: "Lava-Test-Shell Test Definition 1.0"
+ description: "Test power management."
+
+install:
+ git-repos:
+ - git://git.linaro.org/tools/pm-qa.git
+ steps:
+ - "cd pm-qa && make -C utils"
+
+run:
+ steps:
+ - cd pm-qa
+ - make -k check
+
+parse:
+ pattern: "^(?P<test_case_id>[\\w/\\.]+):\\s+(?P<message>.+)\\.\\.\\.\\s+(?P<result>\\w+)"
diff --git a/openembedded/scripts/busybox.sh b/openembedded/scripts/busybox.sh
new file mode 100755
index 0000000..c43a8bc
--- /dev/null
+++ b/openembedded/scripts/busybox.sh
@@ -0,0 +1,32 @@
+#!/bin/bash
+#
+# Busybox test.
+#
+# Copyright (C) 2012, Linaro Limited.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+#
+# Author: Senthil Kumaran <senthil.kumaran@linaro.org>
+#
+
+OUT=`busybox ls /proc`
+if [ -n "$OUT" ]
+then
+ echo "busybox: pass"
+ exit 0
+else
+ echo "busybox: fail"
+ exit 1
+fi
diff --git a/openembedded/scripts/ethernet.sh b/openembedded/scripts/ethernet.sh
new file mode 100755
index 0000000..a9e4519
--- /dev/null
+++ b/openembedded/scripts/ethernet.sh
@@ -0,0 +1,34 @@
+#!/bin/bash
+#
+# Ethernet test.
+#
+# Copyright (C) 2012, Linaro Limited.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+#
+# Author: Senthil Kumaran <senthil.kumaran@linaro.org>
+#
+
+ifconfig eth0 > ethernet.log
+ifconfig eth0 | grep 'inet addr' | awk -F: '{print $2}' | awk '{print $1}'
+
+if [ 0 -eq $? ]
+then
+ echo "ethernet: pass"
+ exit 0
+else
+ echo "ethernet: fail"
+ exit 1
+fi
diff --git a/openembedded/scripts/kernel-version.sh b/openembedded/scripts/kernel-version.sh
new file mode 100755
index 0000000..7909dbf
--- /dev/null
+++ b/openembedded/scripts/kernel-version.sh
@@ -0,0 +1,33 @@
+#!/bin/bash
+#
+# Kernel Version test.
+#
+# Copyright (C) 2012, Linaro Limited.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+#
+# Author: Senthil Kumaran <senthil.kumaran@linaro.org>
+#
+
+uname -a | grep `uname -r` > kernel-version.log
+
+if [ 0 -eq $? ]
+then
+ echo "kernel-version: pass"
+ exit 0
+else
+ echo "kernel-version: fail"
+ exit 1
+fi
diff --git a/openembedded/scripts/mysql.sh b/openembedded/scripts/mysql.sh
new file mode 100755
index 0000000..2a9a4f1
--- /dev/null
+++ b/openembedded/scripts/mysql.sh
@@ -0,0 +1,33 @@
+#!/bin/bash
+#
+# Ethernet test.
+#
+# Copyright (C) 2012, Linaro Limited.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+#
+# Author: Senthil Kumaran <senthil.kumaran@linaro.org>
+#
+
+mysql -u root -e 'show databases' > mysql.log
+
+if [ 0 -eq $? ]
+then
+ echo "mysql: pass"
+ exit 0
+else
+ echo "mysql: fail"
+ exit 1
+fi
diff --git a/openembedded/scripts/toolchain.sh b/openembedded/scripts/toolchain.sh
new file mode 100755
index 0000000..14baec3
--- /dev/null
+++ b/openembedded/scripts/toolchain.sh
@@ -0,0 +1,33 @@
+#!/bin/bash
+#
+# Toolchain test.
+#
+# Copyright (C) 2012, Linaro Limited.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+#
+# Author: Senthil Kumaran <senthil.kumaran@linaro.org>
+#
+
+cat /proc/version | grep -i "gcc.*linaro" > toolchain.log
+
+if [ 0 -eq $? ]
+then
+ echo "toolchain: pass"
+ exit 0
+else
+ echo "toolchain: fail"
+ exit 1
+fi
diff --git a/openembedded/toolchain.yaml b/openembedded/toolchain.yaml
new file mode 100644
index 0000000..b6869a1
--- /dev/null
+++ b/openembedded/toolchain.yaml
@@ -0,0 +1,19 @@
+metadata:
+ name: toolchain
+ version: 1.0
+ format: "Lava-Test-Shell Test Definition 1.0"
+
+install:
+ git-repos:
+ - git://git.linaro.org/qa/test-definitions.git
+
+run:
+ steps:
+ - "cd test-definitions/oe/scripts"
+ - "./toolchain.sh"
+
+parse:
+ pattern: "^(?P<test_case_id>[a-zA-Z0-9_-]+):\\s(?P<result>\\w+)"
+ fixupdict:
+ PASS: pass
+ FAIL: fail